﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel : NotificationObject
    {
        public ViewModel()
        {
            this.Model = records();
            this.GroupedItems = GetGroupedItems();
            ComboboxItems = new List<string> { "Spain", "US", "UK", "Britain", "London" };    
        }

        private ObservableCollection<GroupedItems> GetGroupedItems()
        {
            _groupedItems = new ObservableCollection<GroupedItems>();
            _groupedItems.Add(new GroupedItems() { Group = "Group1", Item = "Item1" });
            _groupedItems.Add(new GroupedItems() { Group = "Group1", Item = "Item2" });

            _groupedItems.Add(new GroupedItems() { Group = "Group1", Item = "Item3" });

            _groupedItems.Add(new GroupedItems() { Group = "Group1", Item = "Item4" });

            _groupedItems.Add(new GroupedItems() { Group = "Group1", Item = "Item5" });

            _groupedItems.Add(new GroupedItems() { Group = "Group2", Item = "Item6" });

            _groupedItems.Add(new GroupedItems() { Group = "Group2", Item = "Item7" });

            _groupedItems.Add(new GroupedItems() { Group = "Group2", Item = "Item8" });


            _groupedItems.Add(new GroupedItems() { Group = "Group2", Item = "Item9" });

            return _groupedItems;

        }
        private ObservableCollection<Model> list;
        public ObservableCollection<Model> Model
        {
            get
            {
                return list;
            }
            set
            {
                list = value;
                this.RaisePropertyChanged("model");
            }
        }
        private ObservableCollection<GroupedItems> _groupedItems;
        public ObservableCollection<GroupedItems> GroupedItems
        {
            get
            {
                return _groupedItems;
            }
            set
            {
                _groupedItems = value;
                this.RaisePropertyChanged("model");
            }
        }
        private List<string> items;
        public List<string> ComboboxItems { get { return items; } set { items = value; } }

        private ObservableCollection<Model> records()
        {
            list = new ObservableCollection<Model>();
            list.Add(new Model() { customername = "Alice", customerId = "AFRT", country = "Beverton", customernumber = 98766 });
            list.Add(new Model() { customername = "Lawrence", customerId = "EDRT", country = "Oregon", customernumber = 56788 });
            list.Add(new Model() { customername = "Bleso", customerId = "PIYG", country = "Chicago", customernumber = 98546 });
            list.Add(new Model() { customername = "Abdul", customerId = "AWER", country = "Oregon", customernumber =75577 });
            list.Add(new Model() { customername = "Rahim", customerId = "CEDS", country = "Chimir", customernumber = 86483 });
            list.Add(new Model() { customername = "Catho", customerId = "REWS", country = "Boswha", customernumber = 58946 });
            list.Add(new Model() { customername = "Divo", customerId = "CEDR", country = "Nile", customernumber = 74946 });
            list.Add(new Model() { customername = "Charles", customerId = "PIRN", country = "Johannesberg", customernumber = 56474 });
            list.Add(new Model() { customername = "Oliver", customerId = "CRED", country = "Johann", customernumber = 04747 });
            list.Add(new Model() { customername = "Gathay", customerId = "DERF", country = "Sheatu", customernumber = 90740 });
            list.Add(new Model() { customername = "Flintof", customerId = "TRED", country = "Kigdom", customernumber = 65859 });
            list.Add(new Model() { customername = "Jack", customerId = "WERF", country = "Olympia", customernumber = 85675 });
            list.Add(new Model() { customername = "John", customerId = "UYTE", country = "Hosur", customernumber = 54849 });
            list.Add(new Model() { customername = "Bendo", customerId = "BTEF", country = "Ramfo", customernumber = 54840 });
            list.Add(new Model() { customername = "Dinda", customerId = "BTEF", country = "Hirew", customernumber = 70474 });
            list.Add(new Model() { customername = "John", customerId = "VRDD", country = "Hirew", customernumber = 94046 });
            return list;
        }
    }
    
}

